Index: code/branches/objecthierarchy/src/orxonox/LevelManager.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/LevelManager.h	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/LevelManager.h	(revision 2112)
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport LevelManager : public network::ClientConnectionListener
+    class _OrxonoxExport LevelManager : public ClientConnectionListener
     {
         public:
Index: code/branches/objecthierarchy/src/orxonox/gamestates/GSClient.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/gamestates/GSClient.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/gamestates/GSClient.cc	(revision 2112)
@@ -53,5 +53,5 @@
         Core::setIsClient(true);
 
-        this->client_ = new network::Client(CommandLine::getValue("ip").getString(), CommandLine::getValue("port"));
+        this->client_ = new Client(CommandLine::getValue("ip").getString(), CommandLine::getValue("port"));
 
         if(!client_->establishConnection())
Index: code/branches/objecthierarchy/src/orxonox/gamestates/GSClient.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/gamestates/GSClient.h	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/gamestates/GSClient.h	(revision 2112)
@@ -49,5 +49,5 @@
         void ticked(const Clock& time);
 
-        network::Client* client_;
+        Client* client_;
     };
 }
Index: code/branches/objecthierarchy/src/orxonox/gamestates/GSDedicated.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/gamestates/GSDedicated.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/gamestates/GSDedicated.cc	(revision 2112)
@@ -50,5 +50,5 @@
         Core::setHasServer(true);
 
-        this->server_ = new network::Server(CommandLine::getValue("port"));
+        this->server_ = new Server(CommandLine::getValue("port"));
         COUT(0) << "Loading scene in server mode" << std::endl;
 
Index: code/branches/objecthierarchy/src/orxonox/gamestates/GSDedicated.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/gamestates/GSDedicated.h	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/gamestates/GSDedicated.h	(revision 2112)
@@ -48,5 +48,5 @@
         void ticked(const Clock& time);
 
-        network::Server*      server_;
+        Server*      server_;
     };
 }
Index: code/branches/objecthierarchy/src/orxonox/gamestates/GSServer.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/gamestates/GSServer.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/gamestates/GSServer.cc	(revision 2112)
@@ -52,5 +52,5 @@
         Core::setHasServer(true);
 
-        this->server_ = new network::Server(CommandLine::getValue("port"));
+        this->server_ = new Server(CommandLine::getValue("port"));
         COUT(0) << "Loading scene in server mode" << std::endl;
 
Index: code/branches/objecthierarchy/src/orxonox/gamestates/GSServer.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/gamestates/GSServer.h	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/gamestates/GSServer.h	(revision 2112)
@@ -48,5 +48,5 @@
         void ticked(const Clock& time);
 
-        network::Server*      server_;
+        Server*      server_;
     };
 }
Index: code/branches/objecthierarchy/src/orxonox/objects/Scene.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/Scene.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/Scene.cc	(revision 2112)
@@ -43,5 +43,5 @@
     CreateFactory(Scene);
 
-    Scene::Scene(BaseObject* creator) : BaseObject(creator), network::Synchronisable(creator)
+    Scene::Scene(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
     {
         RegisterObject(Scene);
@@ -114,6 +114,6 @@
     void Scene::registerVariables()
     {
-        REGISTERSTRING(this->skybox_,     network::direction::toclient, new network::NetworkCallback<Scene>(this, &Scene::networkcallback_applySkybox));
-        REGISTERDATA(this->ambientLight_, network::direction::toclient, new network::NetworkCallback<Scene>(this, &Scene::networkcallback_applyAmbientLight));
+        REGISTERSTRING(this->skybox_,     direction::toclient, new NetworkCallback<Scene>(this, &Scene::networkcallback_applySkybox));
+        REGISTERDATA(this->ambientLight_, direction::toclient, new NetworkCallback<Scene>(this, &Scene::networkcallback_applyAmbientLight));
     }
 
Index: code/branches/objecthierarchy/src/orxonox/objects/Scene.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/Scene.h	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/Scene.h	(revision 2112)
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport Scene : public BaseObject, public network::Synchronisable
+    class _OrxonoxExport Scene : public BaseObject, public Synchronisable
     {
         public:
Index: code/branches/objecthierarchy/src/orxonox/objects/Test.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/Test.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/Test.cc	(revision 2112)
@@ -36,5 +36,5 @@
 	CreateFactory ( Test );
 
-	Test::Test(BaseObject* creator) : BaseObject(creator), network::Synchronisable(creator)
+	Test::Test(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
 	{
 		RegisterObject ( Test );
@@ -59,7 +59,7 @@
 	void Test::registerVariables()
 	{
-		REGISTERDATA ( v1,network::direction::toclient, new network::NetworkCallback<Test> ( this, &Test::checkV1 ) );
-                REGISTERDATA ( v2,network::direction::toserver, new network::NetworkCallback<Test> ( this, &Test::checkV2 ) );
-		REGISTERDATA ( v3,network::direction::bidirectional, new network::NetworkCallback<Test> ( this, &Test::checkV3 ) );
+		REGISTERDATA ( v1,direction::toclient, new NetworkCallback<Test> ( this, &Test::checkV1 ) );
+                REGISTERDATA ( v2,direction::toserver, new NetworkCallback<Test> ( this, &Test::checkV2 ) );
+		REGISTERDATA ( v3,direction::bidirectional, new NetworkCallback<Test> ( this, &Test::checkV3 ) );
 	}
 
Index: code/branches/objecthierarchy/src/orxonox/objects/Test.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/Test.h	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/Test.h	(revision 2112)
@@ -36,5 +36,5 @@
 namespace orxonox
 {
-  class _OrxonoxExport Test: public BaseObject, public network::Synchronisable
+  class _OrxonoxExport Test: public BaseObject, public Synchronisable
   {
     public:
Index: code/branches/objecthierarchy/src/orxonox/objects/gametypes/Gametype.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/gametypes/Gametype.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/gametypes/Gametype.cc	(revision 2112)
@@ -92,5 +92,5 @@
         std::string message = player->getName() + " entered the game";
         COUT(0) << message << std::endl;
-        network::Host::Broadcast(message);
+        Host::Broadcast(message);
     }
 
@@ -104,5 +104,5 @@
             std::string message = player->getName() + " left the game";
             COUT(0) << message << std::endl;
-            network::Host::Broadcast(message);
+            Host::Broadcast(message);
         }
     }
@@ -124,5 +124,5 @@
                 std::string message = player->getOldName() + " changed name to " + player->getName();
                 COUT(0) << message << std::endl;
-                network::Host::Broadcast(message);
+                Host::Broadcast(message);
             }
         }
Index: code/branches/objecthierarchy/src/orxonox/objects/infos/HumanPlayer.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/infos/HumanPlayer.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/infos/HumanPlayer.cc	(revision 2112)
@@ -67,9 +67,9 @@
     void HumanPlayer::registerVariables()
     {
-        REGISTERSTRING(this->synchronize_nick_, network::direction::toserver, new network::NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_changednick));
+        REGISTERSTRING(this->synchronize_nick_, direction::toserver, new NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_changednick));
 
-        REGISTERDATA(this->clientID_,     network::direction::toclient, new network::NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_clientIDchanged));
-        REGISTERDATA(this->server_ready_, network::direction::toclient, new network::NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_server_ready));
-        REGISTERDATA(this->client_ready_, network::direction::toserver, new network::NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_client_ready));
+        REGISTERDATA(this->clientID_,     direction::toclient, new NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_clientIDchanged));
+        REGISTERDATA(this->server_ready_, direction::toclient, new NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_server_ready));
+        REGISTERDATA(this->client_ready_, direction::toserver, new NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_client_ready));
     }
 
@@ -92,5 +92,5 @@
     void HumanPlayer::networkcallback_clientIDchanged()
     {
-        if (this->clientID_ == network::Host::getPlayerID())
+        if (this->clientID_ == Host::getPlayerID())
         {
             this->bLocalPlayer_ = true;
@@ -99,5 +99,5 @@
 
             if (!Core::isMaster())
-                this->setObjectMode(network::direction::bidirectional);
+                this->setObjectMode(direction::bidirectional);
             else
                 this->setName(this->nick_);
@@ -125,10 +125,10 @@
     float HumanPlayer::getPing() const
     {
-        return network::ClientInformation::findClient(this->getClientID())->getRTT();
+        return ClientInformation::findClient(this->getClientID())->getRTT();
     }
 
     float HumanPlayer::getPacketLossRatio() const
     {
-        return network::ClientInformation::findClient(this->getClientID())->getPacketLoss();
+        return ClientInformation::findClient(this->getClientID())->getPacketLoss();
     }
 
Index: code/branches/objecthierarchy/src/orxonox/objects/infos/Info.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/infos/Info.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/infos/Info.cc	(revision 2112)
@@ -34,5 +34,5 @@
 namespace orxonox
 {
-    Info::Info(BaseObject* creator) : BaseObject(creator), network::Synchronisable(creator)
+    Info::Info(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
     {
         RegisterObject(Info);
Index: code/branches/objecthierarchy/src/orxonox/objects/infos/Info.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/infos/Info.h	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/infos/Info.h	(revision 2112)
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport Info : public BaseObject, public network::Synchronisable
+    class _OrxonoxExport Info : public BaseObject, public Synchronisable
     {
         public:
Index: code/branches/objecthierarchy/src/orxonox/objects/infos/Level.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/infos/Level.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/infos/Level.cc	(revision 2112)
@@ -81,7 +81,7 @@
     void Level::registerVariables()
     {
-        REGISTERSTRING(this->xmlfilename_, network::direction::toclient, new network::NetworkCallback<Level>(this, &Level::networkcallback_applyXMLFile));
-        REGISTERSTRING(this->name_,        network::direction::toclient, new network::NetworkCallback<Level>(this, &Level::changedName));
-        REGISTERSTRING(this->description_, network::direction::toclient);
+        REGISTERSTRING(this->xmlfilename_, direction::toclient, new NetworkCallback<Level>(this, &Level::networkcallback_applyXMLFile));
+        REGISTERSTRING(this->name_,        direction::toclient, new NetworkCallback<Level>(this, &Level::changedName));
+        REGISTERSTRING(this->description_, direction::toclient);
     }
 
Index: code/branches/objecthierarchy/src/orxonox/objects/infos/PlayerInfo.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/infos/PlayerInfo.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/infos/PlayerInfo.cc	(revision 2112)
@@ -42,5 +42,5 @@
         RegisterObject(PlayerInfo);
 
-        this->clientID_ = network::CLIENTID_UNKNOWN;
+        this->clientID_ = CLIENTID_UNKNOWN;
         this->bHumanPlayer_ = false;
         this->bLocalPlayer_ = false;
@@ -48,5 +48,5 @@
         this->controller_ = 0;
         this->controllableEntity_ = 0;
-        this->controllableEntityID_ = network::CLIENTID_UNKNOWN;
+        this->controllableEntityID_ = CLIENTID_UNKNOWN;
 
         this->registerVariables();
@@ -69,7 +69,7 @@
     void PlayerInfo::registerVariables()
     {
-        REGISTERSTRING(this->name_,                 network::direction::toclient, new network::NetworkCallback<PlayerInfo>(this, &PlayerInfo::changedName));
-        REGISTERDATA  (this->controllableEntityID_, network::direction::toclient, new network::NetworkCallback<PlayerInfo>(this, &PlayerInfo::networkcallback_changedcontrollableentityID));
-        REGISTERDATA  (this->bReadyToSpawn_,        network::direction::toserver);
+        REGISTERSTRING(this->name_,                 direction::toclient, new NetworkCallback<PlayerInfo>(this, &PlayerInfo::changedName));
+        REGISTERDATA  (this->controllableEntityID_, direction::toclient, new NetworkCallback<PlayerInfo>(this, &PlayerInfo::networkcallback_changedcontrollableentityID));
+        REGISTERDATA  (this->bReadyToSpawn_,        direction::toserver);
     }
 
@@ -126,5 +126,5 @@
         else
         {
-            this->controllableEntityID_ = network::OBJECTID_UNKNOWN;
+            this->controllableEntityID_ = OBJECTID_UNKNOWN;
         }
 
@@ -138,5 +138,5 @@
         {
             this->controllableEntity_ = 0;
-            this->controllableEntityID_ = network::OBJECTID_UNKNOWN;
+            this->controllableEntityID_ = OBJECTID_UNKNOWN;
 
             if (this->controller_)
@@ -150,5 +150,5 @@
     void PlayerInfo::networkcallback_changedcontrollableentityID()
     {
-        if (this->controllableEntityID_ != network::OBJECTID_UNKNOWN)
+        if (this->controllableEntityID_ != OBJECTID_UNKNOWN)
         {
             Synchronisable* temp = Synchronisable::getSynchronisable(this->controllableEntityID_);
Index: code/branches/objecthierarchy/src/orxonox/objects/worldentities/Billboard.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/worldentities/Billboard.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/worldentities/Billboard.cc	(revision 2112)
@@ -64,6 +64,6 @@
     void Billboard::registerVariables()
     {
-        REGISTERSTRING(this->material_, network::direction::toclient, new network::NetworkCallback<Billboard>(this, &Billboard::changedMaterial));
-        REGISTERDATA  (this->colour_,   network::direction::toclient, new network::NetworkCallback<Billboard>(this, &Billboard::changedColour));
+        REGISTERSTRING(this->material_, direction::toclient, new NetworkCallback<Billboard>(this, &Billboard::changedMaterial));
+        REGISTERDATA  (this->colour_,   direction::toclient, new NetworkCallback<Billboard>(this, &Billboard::changedColour));
     }
 
Index: code/branches/objecthierarchy/src/orxonox/objects/worldentities/BlinkingBillboard.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/worldentities/BlinkingBillboard.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/worldentities/BlinkingBillboard.cc	(revision 2112)
@@ -68,7 +68,7 @@
     void BlinkingBillboard::registerVariables()
     {
-//        REGISTERDATA(this->amplitude_, network::direction::toclient);
-//        REGISTERDATA(this->frequency_, network::direction::toclient);
-//        REGISTERDATA(this->phase_,     network::direction::toclient);
+//        REGISTERDATA(this->amplitude_, direction::toclient);
+//        REGISTERDATA(this->frequency_, direction::toclient);
+//        REGISTERDATA(this->phase_,     direction::toclient);
     }
 
Index: code/branches/objecthierarchy/src/orxonox/objects/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/worldentities/ControllableEntity.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/worldentities/ControllableEntity.cc	(revision 2112)
@@ -52,5 +52,5 @@
         this->client_overwrite_ = 0;
         this->player_ = 0;
-        this->playerID_ = network::OBJECTID_UNKNOWN;
+        this->playerID_ = OBJECTID_UNKNOWN;
         this->hud_ = 0;
         this->camera_ = 0;
@@ -165,5 +165,5 @@
                 this->client_overwrite_ = this->server_overwrite_;
 COUT(0) << "CE: bidirectional synchronization" << std::endl;
-                this->setObjectMode(network::direction::bidirectional);
+                this->setObjectMode(direction::bidirectional);
             }
         }
@@ -176,7 +176,7 @@
 
         this->player_ = 0;
-        this->playerID_ = network::OBJECTID_UNKNOWN;
+        this->playerID_ = OBJECTID_UNKNOWN;
         this->bControlled_ = false;
-        this->setObjectMode(network::direction::toclient);
+        this->setObjectMode(direction::toclient);
 
         if (this->bDestroyWhenPlayerLeft_)
@@ -187,7 +187,7 @@
     {
         // just do this in case the entity wasn't yet synchronized when the corresponding PlayerInfo got our objectID
-        if (this->playerID_ != network::OBJECTID_UNKNOWN)
-        {
-            this->player_ = dynamic_cast<PlayerInfo*>(network::Synchronisable::getSynchronisable(this->playerID_));
+        if (this->playerID_ != OBJECTID_UNKNOWN)
+        {
+            this->player_ = dynamic_cast<PlayerInfo*>(Synchronisable::getSynchronisable(this->playerID_));
             if (this->player_ && (this->player_->getControllableEntity() != this))
                 this->player_->startControl(this);
@@ -248,19 +248,19 @@
     void ControllableEntity::registerVariables()
     {
-        REGISTERSTRING(this->cameraPositionTemplate_, network::direction::toclient);
-
-        REGISTERDATA(this->server_position_,    network::direction::toclient, new network::NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerPosition));
-        REGISTERDATA(this->server_velocity_,    network::direction::toclient, new network::NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerVelocity));
-        REGISTERDATA(this->server_orientation_, network::direction::toclient, new network::NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerOrientation));
-
-        REGISTERDATA(this->server_overwrite_,   network::direction::toclient, new network::NetworkCallback<ControllableEntity>(this, &ControllableEntity::processOverwrite));
-        REGISTERDATA(this->client_overwrite_,   network::direction::toserver);
-
-        REGISTERDATA(this->client_position_,    network::direction::toserver, new network::NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientPosition));
-        REGISTERDATA(this->client_velocity_,    network::direction::toserver, new network::NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientVelocity));
-        REGISTERDATA(this->client_orientation_, network::direction::toserver, new network::NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientOrientation));
-
-
-        REGISTERDATA(this->playerID_, network::direction::toclient, new network::NetworkCallback<ControllableEntity>(this, &ControllableEntity::networkcallback_changedplayerID));
+        REGISTERSTRING(this->cameraPositionTemplate_, direction::toclient);
+
+        REGISTERDATA(this->server_position_,    direction::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerPosition));
+        REGISTERDATA(this->server_velocity_,    direction::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerVelocity));
+        REGISTERDATA(this->server_orientation_, direction::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerOrientation));
+
+        REGISTERDATA(this->server_overwrite_,   direction::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processOverwrite));
+        REGISTERDATA(this->client_overwrite_,   direction::toserver);
+
+        REGISTERDATA(this->client_position_,    direction::toserver, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientPosition));
+        REGISTERDATA(this->client_velocity_,    direction::toserver, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientVelocity));
+        REGISTERDATA(this->client_orientation_, direction::toserver, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientOrientation));
+
+
+        REGISTERDATA(this->playerID_, direction::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::networkcallback_changedplayerID));
     }
 
Index: code/branches/objecthierarchy/src/orxonox/objects/worldentities/Light.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/worldentities/Light.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/worldentities/Light.cc	(revision 2112)
@@ -79,8 +79,8 @@
     void Light::registerVariables()
     {
-        REGISTERDATA(this->type_, network::direction::toclient, new network::NetworkCallback<Light>(this, &Light::changedType));
-        REGISTERDATA(this->light_->getDiffuseColour(), network::direction::toclient);
-        REGISTERDATA(this->light_->getSpecularColour(), network::direction::toclient);
-        REGISTERDATA(this->light_->getDirection(), network::direction::toclient);
+        REGISTERDATA(this->type_, direction::toclient, new NetworkCallback<Light>(this, &Light::changedType));
+        REGISTERDATA(this->light_->getDiffuseColour(), direction::toclient);
+        REGISTERDATA(this->light_->getSpecularColour(), direction::toclient);
+        REGISTERDATA(this->light_->getDirection(), direction::toclient);
     }
 
Index: code/branches/objecthierarchy/src/orxonox/objects/worldentities/Model.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/worldentities/Model.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/worldentities/Model.cc	(revision 2112)
@@ -61,6 +61,6 @@
     void Model::registerVariables()
     {
-        REGISTERSTRING(this->meshSrc_,    network::direction::toclient, new network::NetworkCallback<Model>(this, &Model::changedMesh));
-        REGISTERDATA(this->bCastShadows_, network::direction::toclient, new network::NetworkCallback<Model>(this, &Model::changedShadows));
+        REGISTERSTRING(this->meshSrc_,    direction::toclient, new NetworkCallback<Model>(this, &Model::changedMesh));
+        REGISTERDATA(this->bCastShadows_, direction::toclient, new NetworkCallback<Model>(this, &Model::changedShadows));
     }
 
Index: code/branches/objecthierarchy/src/orxonox/objects/worldentities/MovableEntity.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/worldentities/MovableEntity.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/worldentities/MovableEntity.cc	(revision 2112)
@@ -84,16 +84,16 @@
     void MovableEntity::registerVariables()
     {
-        REGISTERDATA(this->velocity_.x, network::direction::toclient);
-        REGISTERDATA(this->velocity_.y, network::direction::toclient);
-        REGISTERDATA(this->velocity_.z, network::direction::toclient);
+        REGISTERDATA(this->velocity_.x, direction::toclient);
+        REGISTERDATA(this->velocity_.y, direction::toclient);
+        REGISTERDATA(this->velocity_.z, direction::toclient);
 
-        REGISTERDATA(this->rotationAxis_.x, network::direction::toclient);
-        REGISTERDATA(this->rotationAxis_.y, network::direction::toclient);
-        REGISTERDATA(this->rotationAxis_.z, network::direction::toclient);
+        REGISTERDATA(this->rotationAxis_.x, direction::toclient);
+        REGISTERDATA(this->rotationAxis_.y, direction::toclient);
+        REGISTERDATA(this->rotationAxis_.z, direction::toclient);
 
-        REGISTERDATA(this->rotationRate_, network::direction::toclient);
+        REGISTERDATA(this->rotationRate_, direction::toclient);
 
-        REGISTERDATA(this->overwrite_position_,    network::direction::toclient, new network::NetworkCallback<MovableEntity>(this, &MovableEntity::overwritePosition));
-        REGISTERDATA(this->overwrite_orientation_, network::direction::toclient, new network::NetworkCallback<MovableEntity>(this, &MovableEntity::overwriteOrientation));
+        REGISTERDATA(this->overwrite_position_,    direction::toclient, new NetworkCallback<MovableEntity>(this, &MovableEntity::overwritePosition));
+        REGISTERDATA(this->overwrite_orientation_, direction::toclient, new NetworkCallback<MovableEntity>(this, &MovableEntity::overwriteOrientation));
     }
 
Index: code/branches/objecthierarchy/src/orxonox/objects/worldentities/MovableEntity.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/worldentities/MovableEntity.h	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/worldentities/MovableEntity.h	(revision 2112)
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport MovableEntity : public WorldEntity, public Tickable, public network::ClientConnectionListener
+    class _OrxonoxExport MovableEntity : public WorldEntity, public Tickable, public ClientConnectionListener
     {
         public:
Index: code/branches/objecthierarchy/src/orxonox/objects/worldentities/ParticleEmitter.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/worldentities/ParticleEmitter.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/worldentities/ParticleEmitter.cc	(revision 2112)
@@ -74,6 +74,6 @@
     void ParticleEmitter::registerVariables()
     {
-        REGISTERSTRING(this->source_, network::direction::toclient, new network::NetworkCallback<ParticleEmitter>(this, &ParticleEmitter::sourceChanged));
-        REGISTERDATA  (this->LOD_,    network::direction::toclient, new network::NetworkCallback<ParticleEmitter>(this, &ParticleEmitter::LODchanged));
+        REGISTERSTRING(this->source_, direction::toclient, new NetworkCallback<ParticleEmitter>(this, &ParticleEmitter::sourceChanged));
+        REGISTERDATA  (this->LOD_,    direction::toclient, new NetworkCallback<ParticleEmitter>(this, &ParticleEmitter::LODchanged));
     }
 
Index: code/branches/objecthierarchy/src/orxonox/objects/worldentities/PositionableEntity.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/worldentities/PositionableEntity.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/worldentities/PositionableEntity.cc	(revision 2112)
@@ -48,12 +48,12 @@
     void PositionableEntity::registerVariables()
     {
-        REGISTERDATA(this->getPosition().x, network::direction::toclient);
-        REGISTERDATA(this->getPosition().y, network::direction::toclient);
-        REGISTERDATA(this->getPosition().z, network::direction::toclient);
+        REGISTERDATA(this->getPosition().x, direction::toclient);
+        REGISTERDATA(this->getPosition().y, direction::toclient);
+        REGISTERDATA(this->getPosition().z, direction::toclient);
 
-        REGISTERDATA(this->getOrientation().w, network::direction::toclient);
-        REGISTERDATA(this->getOrientation().x, network::direction::toclient);
-        REGISTERDATA(this->getOrientation().y, network::direction::toclient);
-        REGISTERDATA(this->getOrientation().z, network::direction::toclient);
+        REGISTERDATA(this->getOrientation().w, direction::toclient);
+        REGISTERDATA(this->getOrientation().x, direction::toclient);
+        REGISTERDATA(this->getOrientation().y, direction::toclient);
+        REGISTERDATA(this->getOrientation().z, direction::toclient);
     }
 }
Index: code/branches/objecthierarchy/src/orxonox/objects/worldentities/WorldEntity.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/worldentities/WorldEntity.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/worldentities/WorldEntity.cc	(revision 2112)
@@ -48,5 +48,5 @@
     const Vector3 WorldEntity::UP    = Vector3::UNIT_Y;
 
-    WorldEntity::WorldEntity(BaseObject* creator) : BaseObject(creator), network::Synchronisable(creator)
+    WorldEntity::WorldEntity(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
     {
         RegisterObject(WorldEntity);
@@ -95,12 +95,12 @@
     void WorldEntity::registerVariables()
     {
-        REGISTERDATA(this->bActive_,  network::direction::toclient, new network::NetworkCallback<WorldEntity>(this, &WorldEntity::changedActivity));
-        REGISTERDATA(this->bVisible_, network::direction::toclient, new network::NetworkCallback<WorldEntity>(this, &WorldEntity::changedVisibility));
+        REGISTERDATA(this->bActive_,  direction::toclient, new NetworkCallback<WorldEntity>(this, &WorldEntity::changedActivity));
+        REGISTERDATA(this->bVisible_, direction::toclient, new NetworkCallback<WorldEntity>(this, &WorldEntity::changedVisibility));
 
-        REGISTERDATA(this->getScale3D().x, network::direction::toclient);
-        REGISTERDATA(this->getScale3D().y, network::direction::toclient);
-        REGISTERDATA(this->getScale3D().z, network::direction::toclient);
+        REGISTERDATA(this->getScale3D().x, direction::toclient);
+        REGISTERDATA(this->getScale3D().y, direction::toclient);
+        REGISTERDATA(this->getScale3D().z, direction::toclient);
 
-        REGISTERDATA(this->parentID_, network::direction::toclient, new network::NetworkCallback<WorldEntity>(this, &WorldEntity::updateParent));
+        REGISTERDATA(this->parentID_, direction::toclient, new NetworkCallback<WorldEntity>(this, &WorldEntity::updateParent));
     }
 
Index: code/branches/objecthierarchy/src/orxonox/objects/worldentities/WorldEntity.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/worldentities/WorldEntity.h	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/worldentities/WorldEntity.h	(revision 2112)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport WorldEntity : public BaseObject, public network::Synchronisable
+    class _OrxonoxExport WorldEntity : public BaseObject, public Synchronisable
     {
         public:
Index: code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/Pawn.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/Pawn.cc	(revision 2112)
@@ -70,6 +70,6 @@
     void Pawn::registerVariables()
     {
-        REGISTERDATA(this->bAlive_, network::direction::toclient);
-        REGISTERDATA(this->health_, network::direction::toclient);
+        REGISTERDATA(this->bAlive_, direction::toclient);
+        REGISTERDATA(this->health_, direction::toclient);
     }
 
Index: code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/SpaceShip.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/SpaceShip.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/SpaceShip.cc	(revision 2112)
@@ -82,10 +82,10 @@
     void SpaceShip::registerVariables()
     {
-        REGISTERDATA(this->maxSpeed_,                network::direction::toclient);
-        REGISTERDATA(this->maxSecondarySpeed_,       network::direction::toclient);
-        REGISTERDATA(this->maxRotation_,             network::direction::toclient);
-        REGISTERDATA(this->translationAcceleration_, network::direction::toclient);
-        REGISTERDATA(this->rotationAcceleration_,    network::direction::toclient);
-        REGISTERDATA(this->translationDamping_,      network::direction::toclient);
+        REGISTERDATA(this->maxSpeed_,                direction::toclient);
+        REGISTERDATA(this->maxSecondarySpeed_,       direction::toclient);
+        REGISTERDATA(this->maxRotation_,             direction::toclient);
+        REGISTERDATA(this->translationAcceleration_, direction::toclient);
+        REGISTERDATA(this->rotationAcceleration_,    direction::toclient);
+        REGISTERDATA(this->translationDamping_,      direction::toclient);
     }
 
Index: code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/Spectator.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/Spectator.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/Spectator.cc	(revision 2112)
@@ -84,7 +84,7 @@
     void Spectator::registerVariables()
     {
-        REGISTERDATA(this->bGreetingFlareVisible_, network::direction::toclient, new network::NetworkCallback<Spectator>(this, &Spectator::changedFlareVisibility));
-        REGISTERDATA(this->bGreeting_,             network::direction::toserver, new network::NetworkCallback<Spectator>(this, &Spectator::changedGreeting));
-        REGISTERDATA(this->hudmode_,               network::direction::toclient);
+        REGISTERDATA(this->bGreetingFlareVisible_, direction::toclient, new NetworkCallback<Spectator>(this, &Spectator::changedFlareVisibility));
+        REGISTERDATA(this->bGreeting_,             direction::toserver, new NetworkCallback<Spectator>(this, &Spectator::changedGreeting));
+        REGISTERDATA(this->hudmode_,               direction::toclient);
     }
 
@@ -129,5 +129,5 @@
         ControllableEntity::setPlayer(player);
 
-//        this->setObjectMode(network::direction::toclient);
+//        this->setObjectMode(direction::toclient);
     }
 
Index: code/branches/objecthierarchy/src/orxonox/overlays/hud/ChatOverlay.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/overlays/hud/ChatOverlay.cc	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/overlays/hud/ChatOverlay.cc	(revision 2112)
@@ -72,5 +72,5 @@
         std::string text;
 
-        if (senderID != network::CLIENTID_UNKNOWN)
+        if (senderID != CLIENTID_UNKNOWN)
         {
             std::string name = "unknown";
Index: code/branches/objecthierarchy/src/orxonox/overlays/hud/ChatOverlay.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/overlays/hud/ChatOverlay.h	(revision 2101)
+++ code/branches/objecthierarchy/src/orxonox/overlays/hud/ChatOverlay.h	(revision 2112)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport ChatOverlay : public OverlayText, public network::ChatListener
+    class _OrxonoxExport ChatOverlay : public OverlayText, public ChatListener
     {
         public: