Index: /code/branches/objecthierarchy/src/core/BaseObject.h
===================================================================
--- /code/branches/objecthierarchy/src/core/BaseObject.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/BaseObject.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file BaseObject.h
+    @file
     @brief Definition of the BaseObject class.
 
Index: /code/branches/objecthierarchy/src/core/ClassFactory.h
===================================================================
--- /code/branches/objecthierarchy/src/core/ClassFactory.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/ClassFactory.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file ClassFactory.h
+    @file
     @brief Definition and implementation of the ClassFactory class
 
Index: /code/branches/objecthierarchy/src/core/ClassTreeMask.cc
===================================================================
--- /code/branches/objecthierarchy/src/core/ClassTreeMask.cc	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/ClassTreeMask.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file ClassTreeMask.cc
+    @file
     @brief Implementation of the ClassTreeMask, ClassTreeMaskNode and ClassTreeMaskIterator classes.
 */
Index: /code/branches/objecthierarchy/src/core/ClassTreeMask.h
===================================================================
--- /code/branches/objecthierarchy/src/core/ClassTreeMask.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/ClassTreeMask.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file ClassTreeMask.h
+    @file
     @brief Definition of the ClassTreeMask, ClassTreeMaskNode and ClassTreeMaskIterator classes.
 
Index: /code/branches/objecthierarchy/src/core/Clock.h
===================================================================
--- /code/branches/objecthierarchy/src/core/Clock.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/Clock.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Core.h
+    @file
     @brief Declaration of the Core class.
 
Index: /code/branches/objecthierarchy/src/core/ConfigValueContainer.cc
===================================================================
--- /code/branches/objecthierarchy/src/core/ConfigValueContainer.cc	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/ConfigValueContainer.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file ConfigValueContainer.cc
+    @file
     @brief Implementation of the ConfigValueContainer class.
 */
Index: /code/branches/objecthierarchy/src/core/ConfigValueContainer.h
===================================================================
--- /code/branches/objecthierarchy/src/core/ConfigValueContainer.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/ConfigValueContainer.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file ConfigValueContainer.h
+    @file
     @brief Definition of the ConfigValueContainer class.
 
Index: /code/branches/objecthierarchy/src/core/ConfigValueIncludes.h
===================================================================
--- /code/branches/objecthierarchy/src/core/ConfigValueIncludes.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/ConfigValueIncludes.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file ConfigValueIncludes.h
+    @file
     @brief Definition of macros for config-values.
 */
Index: /code/branches/objecthierarchy/src/core/Core.cc
===================================================================
--- /code/branches/objecthierarchy/src/core/Core.cc	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/Core.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Core.cc
+    @file
     @brief Implementation of the Core class.
 */
Index: /code/branches/objecthierarchy/src/core/Core.h
===================================================================
--- /code/branches/objecthierarchy/src/core/Core.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/Core.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Core.h
+    @file
     @brief Declaration of the Core class.
 
Index: /code/branches/objecthierarchy/src/core/CoreIncludes.h
===================================================================
--- /code/branches/objecthierarchy/src/core/CoreIncludes.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/CoreIncludes.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file CoreIncludes.h
+    @file
     @brief Definition of macros for Identifier and Factory.
 
Index: /code/branches/objecthierarchy/src/core/Factory.cc
===================================================================
--- /code/branches/objecthierarchy/src/core/Factory.cc	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/Factory.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Factory.cc
+    @file
     @brief Implementation of the Factory class.
 */
Index: /code/branches/objecthierarchy/src/core/Factory.h
===================================================================
--- /code/branches/objecthierarchy/src/core/Factory.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/Factory.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Factory.h
+    @file
     @brief Definition of the Factory and the BaseFactory class.
 
Index: /code/branches/objecthierarchy/src/core/Identifier.cc
===================================================================
--- /code/branches/objecthierarchy/src/core/Identifier.cc	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/Identifier.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Identifier.cc
+    @file
     @brief Implementation of the Identifier class.
 */
Index: /code/branches/objecthierarchy/src/core/Identifier.h
===================================================================
--- /code/branches/objecthierarchy/src/core/Identifier.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/Identifier.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Identifier.h
+    @file
     @brief Definition of the Identifier, ClassIdentifier and SubclassIdentifier classes, implementation of the ClassIdentifier and SubclassIdentifier classes.
 
Index: /code/branches/objecthierarchy/src/core/Iterator.h
===================================================================
--- /code/branches/objecthierarchy/src/core/Iterator.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/Iterator.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Iterator.h
+    @file
     @brief Definition and implementation of the Iterator class.
 
Index: /code/branches/objecthierarchy/src/core/Language.cc
===================================================================
--- /code/branches/objecthierarchy/src/core/Language.cc	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/Language.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Language.cc
+    @file
     @brief Implementation of the Language and the LanguageEntry classes.
 */
Index: /code/branches/objecthierarchy/src/core/Language.h
===================================================================
--- /code/branches/objecthierarchy/src/core/Language.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/Language.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Language.h
+    @file
     @brief Definition of the Language and the LanguageEntry class.
 
Index: /code/branches/objecthierarchy/src/core/MetaObjectList.cc
===================================================================
--- /code/branches/objecthierarchy/src/core/MetaObjectList.cc	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/MetaObjectList.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file MetaObjectList.cc
+    @file
     @brief Implementation of the MetaObjectList class.
 */
Index: /code/branches/objecthierarchy/src/core/MetaObjectList.h
===================================================================
--- /code/branches/objecthierarchy/src/core/MetaObjectList.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/MetaObjectList.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file MetaObjectList.h
+    @file
     @brief Definition of the MetaObjectList class.
 
Index: /code/branches/objecthierarchy/src/core/ObjectList.h
===================================================================
--- /code/branches/objecthierarchy/src/core/ObjectList.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/ObjectList.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file ObjectList.h
+    @file
     @brief Definition and implementation of the ObjectList class.
 
Index: /code/branches/objecthierarchy/src/core/ObjectListBase.cc
===================================================================
--- /code/branches/objecthierarchy/src/core/ObjectListBase.cc	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/ObjectListBase.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file ObjectListBase.cc
+    @file
     @brief Implementation of the ObjectListBase class.
 
Index: /code/branches/objecthierarchy/src/core/ObjectListBase.h
===================================================================
--- /code/branches/objecthierarchy/src/core/ObjectListBase.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/ObjectListBase.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file ObjectListBase.h
+    @file
     @brief Definition of the ObjectListBase class.
 
Index: /code/branches/objecthierarchy/src/core/OrxonoxClass.cc
===================================================================
--- /code/branches/objecthierarchy/src/core/OrxonoxClass.cc	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/OrxonoxClass.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file OrxonoxClass.cc
+    @file
     @brief Implementation of the OrxonoxClass Class.
 */
Index: /code/branches/objecthierarchy/src/core/OrxonoxClass.h
===================================================================
--- /code/branches/objecthierarchy/src/core/OrxonoxClass.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/OrxonoxClass.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file OrxonoxClass.h
+    @file
     @brief Declaration of the OrxonoxClass Class.
 
Index: /code/branches/objecthierarchy/src/core/Super.h
===================================================================
--- /code/branches/objecthierarchy/src/core/Super.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/Super.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Super.h
+    @file
     @brief Definition of all super-function related macros.
 
Index: /code/branches/objecthierarchy/src/core/XMLIncludes.h
===================================================================
--- /code/branches/objecthierarchy/src/core/XMLIncludes.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/XMLIncludes.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file XMLIncludes.h
+    @file
     @brief Forward declarations of some XML classes.
 */
Index: /code/branches/objecthierarchy/src/core/XMLPort.h
===================================================================
--- /code/branches/objecthierarchy/src/core/XMLPort.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/core/XMLPort.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file XMLPort.h
+    @file
     @brief Declaration of the XMLPort helper classes and macros.
 
Index: /code/branches/objecthierarchy/src/orxonox/CameraManager.h
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/CameraManager.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/orxonox/CameraManager.h	(revision 2114)
@@ -28,5 +28,5 @@
 
  /**
- @file  CameraManager.h
+ @file
  @brief Handles the instances of Camera class
  @author Benjamin Knecht <beni_at_orxonox.net>
Index: /code/branches/objecthierarchy/src/orxonox/Settings.h
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/Settings.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/orxonox/Settings.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Core.h
+    @file
     @brief Declaration of the Settings class.
 
Index: /code/branches/objecthierarchy/src/orxonox/objects/Tickable.h
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/Tickable.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/orxonox/objects/Tickable.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /*!
-    @file Tickable.h
+    @file
     @brief Declaration of the Tickable interface.
 
Index: /code/branches/objecthierarchy/src/orxonox/objects/worldentities/ParticleEmitter.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/worldentities/ParticleEmitter.cc	(revision 2113)
+++ /code/branches/objecthierarchy/src/orxonox/objects/worldentities/ParticleEmitter.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-* @file ParticleInterface.cc
+* @file
 * @brief class to control praticle effects
 */
Index: /code/branches/objecthierarchy/src/orxonox/tools/ParticleInterface.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/tools/ParticleInterface.cc	(revision 2113)
+++ /code/branches/objecthierarchy/src/orxonox/tools/ParticleInterface.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-* @file ParticleInterface.cc
+* @file
 * @brief class to control praticle effects
 */
Index: /code/branches/objecthierarchy/src/orxonox/tools/Timer.h
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/tools/Timer.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/orxonox/tools/Timer.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /*!
-    @file Timer.h
+    @file
     @brief Definition and Implementation of the Timer class.
 
Index: /code/branches/objecthierarchy/src/util/Clipboard.cc
===================================================================
--- /code/branches/objecthierarchy/src/util/Clipboard.cc	(revision 2113)
+++ /code/branches/objecthierarchy/src/util/Clipboard.cc	(revision 2114)
@@ -30,5 +30,5 @@
 
 /**
-    @file Clipboard.cc
+    @file
     @brief OS-specific implementations of the clipboard functions.
 */
Index: /code/branches/objecthierarchy/src/util/Clipboard.h
===================================================================
--- /code/branches/objecthierarchy/src/util/Clipboard.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/util/Clipboard.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Clipboard.h
+    @file
     @brief Some functions to exchange text between the OS clipboard and Orxonox.
 
Index: /code/branches/objecthierarchy/src/util/Debug.h
===================================================================
--- /code/branches/objecthierarchy/src/util/Debug.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/util/Debug.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Debug.h
+    @file
     @brief Handles different output-levels of errors, warnings, infos and debug informations.
 
Index: /code/branches/objecthierarchy/src/util/Math.h
===================================================================
--- /code/branches/objecthierarchy/src/util/Math.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/util/Math.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Math.h
+    @file
     @brief Declaration and implementation of several math-functions, typedefs of some Ogre::Math classes to the orxonox namespace.
 */
Index: /code/branches/objecthierarchy/src/util/MultiType.cc
===================================================================
--- /code/branches/objecthierarchy/src/util/MultiType.cc	(revision 2113)
+++ /code/branches/objecthierarchy/src/util/MultiType.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file MultiType.cc
+    @file
     @brief Implementation of the MultiType.
 */
Index: /code/branches/objecthierarchy/src/util/MultiType.h
===================================================================
--- /code/branches/objecthierarchy/src/util/MultiType.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/util/MultiType.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file MultiType.h
+    @file
     @brief Declaration of the MultiType and some helper constructs.
 
Index: /code/branches/objecthierarchy/src/util/MultiTypeValue.h
===================================================================
--- /code/branches/objecthierarchy/src/util/MultiTypeValue.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/util/MultiTypeValue.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file MultiTypeValue.h
+    @file
     @brief Declaration and Implementation of the MT_Value<T> class.
 
Index: /code/branches/objecthierarchy/src/util/OutputBuffer.cc
===================================================================
--- /code/branches/objecthierarchy/src/util/OutputBuffer.cc	(revision 2113)
+++ /code/branches/objecthierarchy/src/util/OutputBuffer.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file OutputBuffer.cc
+    @file
     @brief Implementation of the OutputBuffer.
 */
Index: /code/branches/objecthierarchy/src/util/OutputBuffer.h
===================================================================
--- /code/branches/objecthierarchy/src/util/OutputBuffer.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/util/OutputBuffer.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file OutputBuffer.h
+    @file
     @brief Declaration of the OutputBuffer class.
 
Index: /code/branches/objecthierarchy/src/util/OutputHandler.cc
===================================================================
--- /code/branches/objecthierarchy/src/util/OutputHandler.cc	(revision 2113)
+++ /code/branches/objecthierarchy/src/util/OutputHandler.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file OutputHandler.cc
+    @file
     @brief Implementation of the OutputHandler class.
 */
Index: /code/branches/objecthierarchy/src/util/OutputHandler.h
===================================================================
--- /code/branches/objecthierarchy/src/util/OutputHandler.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/util/OutputHandler.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file OutputHandler.h
+    @file
     @brief Definition of the OutputHandler class.
 
Index: /code/branches/objecthierarchy/src/util/String.cc
===================================================================
--- /code/branches/objecthierarchy/src/util/String.cc	(revision 2113)
+++ /code/branches/objecthierarchy/src/util/String.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file String.cc
+    @file
     @brief Implementation of several string manipulation functions.
 */
Index: /code/branches/objecthierarchy/src/util/String.h
===================================================================
--- /code/branches/objecthierarchy/src/util/String.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/util/String.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file String.h
+    @file
     @brief Declaration of several string manipulation functions, used in many parts of the game.
 */
Index: /code/branches/objecthierarchy/src/util/SubString.h
===================================================================
--- /code/branches/objecthierarchy/src/util/SubString.h	(revision 2113)
+++ /code/branches/objecthierarchy/src/util/SubString.h	(revision 2114)
@@ -38,5 +38,5 @@
 
  /*!
- * @file substring.h
+ * @file
  * @brief a small class to get the parts of a string separated by commas
  *
Index: /code/branches/objecthierarchy/visual_studio/vc8/directories.vsprops
===================================================================
--- /code/branches/objecthierarchy/visual_studio/vc8/directories.vsprops	(revision 2113)
+++ /code/branches/objecthierarchy/visual_studio/vc8/directories.vsprops	(revision 2114)
@@ -13,5 +13,5 @@
 	<UserMacro
 		Name="LibDir"
-		Value="$(RootDir)\dependencies\$(SolutionName)\"
+		Value="$(RootDir)\..\lib_dist\vc8\dependencies\$(SolutionName)\"
 	/>
 </VisualStudioPropertySheet>