Index: de/trunk/cmake/AddSourceFiles.cmake
===================================================================
--- /code/trunk/cmake/AddSourceFiles.cmake	(revision 2126)
+++ 	(revision )
@@ -1,13 +1,0 @@
-MACRO(ADD_SOURCE_FILES _directory _source_list _target_list)
-
-  # Set the variable (_source_list) first
-  INCLUDE(${_directory}/CMakeLists.txt)
-#MESSAGE(STATUS ${_directory})
-#MESSAGE(STATUS "${_source_list}")
-#MESSAGE(STATUS "${${_source_list}}")
-
-  FOREACH(_source_file ${${_source_list}})
-	LIST(APPEND ${_target_list} "${_directory}/${_source_file}")
-#MESSAGE(STATUS ${${_target_list}})
-  ENDFOREACH(_source_file)
-ENDMACRO(ADD_SOURCE_FILES)
Index: /code/trunk/src/CMakeLists.txt
===================================================================
--- /code/trunk/src/CMakeLists.txt	(revision 2126)
+++ /code/trunk/src/CMakeLists.txt	(revision 2127)
@@ -27,6 +27,4 @@
 ENDIF (WIN32)
 
-# Include macro to easily add source files in subdirectories
-INCLUDE(AddSourceFiles)
 
 # Our own libraries
Index: /code/trunk/src/orxonox/CMakeLists.txt
===================================================================
--- /code/trunk/src/orxonox/CMakeLists.txt	(revision 2126)
+++ /code/trunk/src/orxonox/CMakeLists.txt	(revision 2127)
@@ -5,13 +5,110 @@
   Main.cc
   Settings.cc
-  
+
+  gamestates/GSClient.cc
+  gamestates/GSDedicated.cc
+  gamestates/GSGraphics.cc
+  gamestates/GSGUI.cc
+  gamestates/GSIOConsole.cc
+  gamestates/GSLevel.cc
+  gamestates/GSRoot.cc
+  gamestates/GSServer.cc
+  gamestates/GSStandalone.cc
+
+  gui/GUIManager.cc
+  gui/OgreCEGUIRenderer.cpp
+  gui/OgreCEGUIResourceProvider.cpp
+  gui/OgreCEGUITexture.cpp
+
+  overlays/OrxonoxOverlay.cc
+  overlays/OverlayGroup.cc
+  overlays/OverlayText.cc
+
+  overlays/console/InGameConsole.cc
+
+  overlays/debug/DebugFPSText.cc
+  overlays/debug/DebugRTRText.cc
+
+  overlays/hud/HUDBar.cc
+  overlays/hud/HUDNavigation.cc
+  overlays/hud/HUDRadar.cc
+  overlays/hud/HUDSpeedBar.cc
+  overlays/hud/ChatOverlay.cc
+
+  tools/BillboardSet.cc
+  tools/Mesh.cc
+  tools/ParticleInterface.cc
+  tools/TextureGenerator.cc
+  tools/Timer.cc
+  tools/WindowEventListener.cc
+
+  objects/EventListener.cc
+  objects/EventDispatcher.cc
+  objects/EventTarget.cc
+  objects/Radar.cc
+  objects/RadarListener.cc
+  objects/RadarViewable.cc
+  objects/Tickable.cc
+  objects/Test.cc
+  objects/Script.cc
+
+  objects/Scene.cc
+  objects/worldentities/WorldEntity.cc
+  objects/worldentities/PositionableEntity.cc
+  objects/worldentities/MovableEntity.cc
+  objects/worldentities/ControllableEntity.cc
+  objects/worldentities/Model.cc
+  objects/worldentities/Billboard.cc
+  objects/worldentities/BlinkingBillboard.cc
+  objects/worldentities/Light.cc
+  objects/worldentities/Camera.cc
+  objects/worldentities/CameraPosition.cc
+  objects/worldentities/SpawnPoint.cc
+  objects/worldentities/ParticleEmitter.cc
+  objects/worldentities/ParticleSpawner.cc
+#  objects/worldentities/Backlight.cc
+
+  objects/quest/AddQuest.cc
+  objects/quest/AddQuestHint.cc
+  objects/quest/AddReward.cc
+  objects/quest/ChangeQuestStatus.cc
+  objects/quest/CompleteQuest.cc
+  objects/quest/FailQuest.cc
+  objects/quest/GlobalQuest.cc
+  objects/quest/LocalQuest.cc
+  objects/quest/Quest.cc
+  objects/quest/QuestDescription.cc
+  objects/quest/QuestEffect.cc
+  objects/quest/QuestHint.cc
+  objects/quest/QuestItem.cc
+  objects/quest/QuestManager.cc
+  objects/quest/Rewardable.cc
+
+  objects/weaponSystem/WeaponSystem.cc
+  objects/weaponSystem/WeaponSet.cc
+  objects/weaponSystem/WeaponSlot.cc
+  objects/weaponSystem/Weapon.cc
+  objects/weaponSystem/Munition.cc
+
+  objects/worldentities/triggers/Trigger.cc
+  objects/worldentities/triggers/DistanceTrigger.cc
+  objects/worldentities/triggers/EventTrigger.cc
+
+  objects/worldentities/pawns/Spectator.cc
+  objects/worldentities/pawns/Pawn.cc
+  objects/worldentities/pawns/SpaceShip.cc
+
+  objects/controllers/Controller.cc
+  objects/controllers/HumanController.cc
+
+  objects/infos/Info.cc
+  objects/infos/Level.cc
+  objects/infos/PlayerInfo.cc
+  objects/infos/HumanPlayer.cc
+
+  objects/gametypes/Gametype.cc
+
   tolua/tolua_bind.cc
 )
-
-ADD_SOURCE_FILES(gamestates ORXONOX_GAMESTATES_SRC_FILES ORXONOX_SRC_FILES)
-ADD_SOURCE_FILES(gui        ORXONOX_GUI_SRC_FILES        ORXONOX_SRC_FILES)
-ADD_SOURCE_FILES(objects    ORXONOX_OBJECTS_SRC_FILES    ORXONOX_SRC_FILES)
-ADD_SOURCE_FILES(overlays   ORXONOX_OVERLAYS_SRC_FILES   ORXONOX_SRC_FILES)
-ADD_SOURCE_FILES(tools      ORXONOX_TOOLS_SRC_FILES      ORXONOX_SRC_FILES)
 
 GET_TARGET_PROPERTY(TOLUA_EXE tolua_orxonox LOCATION)
Index: de/trunk/src/orxonox/gamestates/CMakeLists.txt
===================================================================
--- /code/trunk/src/orxonox/gamestates/CMakeLists.txt	(revision 2126)
+++ 	(revision )
@@ -1,12 +1,0 @@
-SET( ORXONOX_GAMESTATES_SRC_FILES
-  GSDedicated.cc
-  GSClient.cc
-  GSGraphics.cc
-  GSGUI.cc
-  GSIOConsole.cc
-  GSLevel.cc
-  GSRoot.cc
-  GSServer.cc
-  GSStandalone.cc
-)
-
Index: de/trunk/src/orxonox/gui/CMakeLists.txt
===================================================================
--- /code/trunk/src/orxonox/gui/CMakeLists.txt	(revision 2126)
+++ 	(revision )
@@ -1,7 +1,0 @@
-SET( ORXONOX_GUI_SRC_FILES
-  GUIManager.cc
-  OgreCEGUIRenderer.cpp
-  OgreCEGUIResourceProvider.cpp
-  OgreCEGUITexture.cpp
-)
-
Index: de/trunk/src/orxonox/objects/CMakeLists.txt
===================================================================
--- /code/trunk/src/orxonox/objects/CMakeLists.txt	(revision 2126)
+++ 	(revision )
@@ -1,66 +1,0 @@
-SET( ORXONOX_OBJECTS_SRC_FILES
-  EventListener.cc
-  EventDispatcher.cc
-  EventTarget.cc
-  Radar.cc
-  RadarListener.cc
-  RadarViewable.cc
-  Tickable.cc
-  Test.cc
-  Script.cc
-
-  Scene.cc
-  worldentities/WorldEntity.cc
-  worldentities/PositionableEntity.cc
-  worldentities/MovableEntity.cc
-  worldentities/ControllableEntity.cc
-  worldentities/Model.cc
-  worldentities/Billboard.cc
-  worldentities/BlinkingBillboard.cc
-  worldentities/Light.cc
-  worldentities/Camera.cc
-  worldentities/CameraPosition.cc
-  worldentities/SpawnPoint.cc
-  worldentities/ParticleEmitter.cc
-  worldentities/ParticleSpawner.cc
-#  worldentities/Backlight.cc
-
-  quest/AddQuest.cc
-  quest/AddQuestHint.cc
-  quest/AddReward.cc
-  quest/ChangeQuestStatus.cc
-  quest/CompleteQuest.cc
-  quest/FailQuest.cc
-  quest/GlobalQuest.cc
-  quest/LocalQuest.cc
-  quest/Quest.cc
-  quest/QuestDescription.cc
-  quest/QuestEffect.cc
-  quest/QuestHint.cc
-  quest/QuestItem.cc
-  quest/QuestManager.cc
-  quest/Rewardable.cc
-
-  weaponSystem/WeaponSystem.cc
-  weaponSystem/WeaponSet.cc
-  weaponSystem/WeaponSlot.cc
-  weaponSystem/Weapon.cc
-  weaponSystem/Munition.cc
-
-  worldentities/triggers/Trigger.cc
-  worldentities/triggers/DistanceTrigger.cc
-  worldentities/triggers/EventTrigger.cc
-
-  worldentities/pawns/Spectator.cc
-  worldentities/pawns/Pawn.cc
-  worldentities/pawns/SpaceShip.cc
-
-  infos/Info.cc
-  infos/Level.cc
-  infos/PlayerInfo.cc
-  infos/HumanPlayer.cc
-
-  gametypes/Gametype.cc
-)
-
-ADD_SOURCE_FILES(controllers      ORXONOX_OBJECTS_CONTROLLERS_SRC_FILES      ORXONOX_OBJECTS_SRC_FILES)
Index: de/trunk/src/orxonox/objects/controllers/CMakeLists.txt
===================================================================
--- /code/trunk/src/orxonox/objects/controllers/CMakeLists.txt	(revision 2126)
+++ 	(revision )
@@ -1,4 +1,0 @@
-SET( ORXONOX_OBJECTS_CONTROLLERS_SRC_FILES
-  Controller.cc
-  HumanController.cc
-)
Index: de/trunk/src/orxonox/overlays/CMakeLists.txt
===================================================================
--- /code/trunk/src/orxonox/overlays/CMakeLists.txt	(revision 2126)
+++ 	(revision )
@@ -1,17 +1,0 @@
-SET( ORXONOX_OVERLAYS_SRC_FILES
-  OrxonoxOverlay.cc
-  OverlayGroup.cc
-  OverlayText.cc
-
-  console/InGameConsole.cc
-
-  debug/DebugFPSText.cc
-  debug/DebugRTRText.cc
-
-  hud/HUDBar.cc
-  hud/HUDNavigation.cc
-  hud/HUDRadar.cc
-  hud/HUDSpeedBar.cc
-  hud/ChatOverlay.cc
-)
-
Index: de/trunk/src/orxonox/tools/CMakeLists.txt
===================================================================
--- /code/trunk/src/orxonox/tools/CMakeLists.txt	(revision 2126)
+++ 	(revision )
@@ -1,9 +1,0 @@
-SET( ORXONOX_TOOLS_SRC_FILES
-  BillboardSet.cc
-  Mesh.cc
-  ParticleInterface.cc
-  TextureGenerator.cc
-  Timer.cc
-  WindowEventListener.cc
-)
-